System.ServiceModel 4.0.0.0 System.Object

An implementation of the is passed to and objects to export and import, respectively, custom policy assertions to and from metadata. On export, a collection of policy assertions are retrieved in order to add custom assertions. On import, the assertions are retrieved in order to import specific ones and configure binding elements appropriately.

The method returns all policy assertions that are for the binding.

The method returns all policy assertions for a specific fault message.

The method returns all policy assertions for a specific message.

The method returns all policy assertions for a specific operation.

The property gets the binding elements for the binding being described or configured.

The property gets the contract description for which the binding is being described or configured.

Defines a class used to retrieve binding assertions in metadata and to attach implementing binding elements at the appropriate scope.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified endpoint.

  The for the policy context.
- Property
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection To be added. To be added.

  Gets a collection of binding elements to which custom binding elements that implement policy assertions are added.

- Property
  4.0.0.0
  System.ServiceModel.Description.ContractDescription To be added. To be added.

  Gets the contract for the endpoint.

- Method
  4.0.0.0
  System.ServiceModel.Description.PolicyAssertionCollection

  The collection returned from is not a copy. You can add and remove assertions as necessary.

  Gets a collection of policy assertions from metadata.

  An of type that contains binding policy assertions.

- Method
  4.0.0.0
  System.ServiceModel.Description.PolicyAssertionCollection ``

  The collection returned from is not a copy. You can add and remove assertions as necessary.

  Returns a collection of policy assertions for the specified SOAP fault.

  A collection of policy assertions for the specified SOAP fault.

  The object for which policy assertions are to be added or for which bindings are to be configured.
- Method
  4.0.0.0
  System.ServiceModel.Description.PolicyAssertionCollection ``

  The collection returned from is not a copy. You can add and remove assertions as needed.

  Gets a collection of policy assertions for a message.

  A collection of policy assertions for the specified message.

  The for which there are binding assertions.
- Method
  4.0.0.0
  System.ServiceModel.Description.PolicyAssertionCollection ``

  The collection returned from is not a copy. You can add and remove assertions as necessary.

  Returns a collection of policy assertions for the specified operation.

  The policy assertions for the operation.

  The object for which policy assertions are to be added or for which bindings are to be configured.